<?php
session_start();

//conexao com o sql server
require_once '../../script_php/ConexaoSQL.php';
//require a classe que cuida do sql server
require_once '../SqlServer.php';
//gravar no mysql
require_once '../MysqlConsulta.php';

//variaveis que recebem os dados do post
$codigoBarras = $_POST['codigoBarras'];
$quantidadeEtiqueras = $_POST['quantidade'];
$loja = $_POST['loja'];

//instaciar a classe que cuida do sql server
$sqlServer = new SqlServer();
//metodo que retorna a observação de uma barra
$dados = $sqlServer->BuscarEtiqueta($codigoBarras,$loja);

if($dados){

//convertendo em um array
foreach($dados as $dado) {
    $observacao = $dado[0];
    $preco = round($dado[1], 2);
    $codigo = $dados[2];
}

$mysql = new MysqlConsulta;

//fazendo a gravacao a partir da quantidade recebida
for($i = 1; $i <= $quantidadeEtiqueras;$i++){

    $mysql->produtosEtiquetasCadastrar($observacao,$preco,$loja,$codigo);
}

header("Location: ../../etiquetas.php");

//se nao encontrar mercadoria no softshop
}else{
	$_SESSION['msg'] = "<div class='alert alert-danger'>Mercadoria não encontrada!</div>";
	
header("Location: ../../etiquetas.php");

}